linux: 3.13.0-27.50 -proposed tracker

Bug #1316835 reported by Kamal Mostafa on 2014-05-06
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-27.50 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 06. May 2014 22:31 UTC
kernel-stable-Prepare-package-end:Thursday, 08. May 2014 06:04 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 08. May 2014 06:04 UTC
ppa-package-testing-start:Thursday, 08. May 2014 07:05 UTC
kernel-stable-Verification-testing-start:Friday, 09. May 2014 20:18 UTC
kernel-stable-Certification-testing-start:Friday, 09. May 2014 20:18 UTC
kernel-stable-Security-signoff-start:Friday, 09. May 2014 20:18 UTC
kernel-stable-Regression-testing-start:Friday, 09. May 2014 20:18 UTC
kernel-stable-Certification-testing-end:Thursday, 15. May 2014 09:00 UTC
kernel-stable-Promote-to-proposed-end:Friday, 16. May 2014 10:03 UTC
kernel-stable-Regression-testing-end:Monday, 19. May 2014 13:00 UTC
kernel-stable-Verification-testing-end:Monday, 19. May 2014 14:00 UTC
kernel-stable-Promote-to-updates-start:Friday, 23. May 2014 01:01 UTC
kernel-stable-Security-signoff-end:Friday, 23. May 2014 01:01 UTC
kernel-stable-Promote-to-updates-end:Monday, 26. May 2014 16:10 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 27. May 2014 09:22 UTC

tags: added: kernel-release-tracking-bug
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-05-08
description: updated
Brad Figg (brad-figg) on 2014-05-09
description: updated
Adam Conrad (adconrad) on 2014-05-09
description: updated
Brad Figg (brad-figg) on 2014-05-09
description: updated

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Trusty):
status: New → Confirmed
Brad Figg (brad-figg) on 2014-05-14
Changed in kernel-sru-workflow:
status: In Progress → Invalid
summary: - linux: 3.13.0-26.48 -proposed tracker
+ linux: 3.13.0-27.49 -proposed tracker
Changed in kernel-sru-workflow:
status: Invalid → New
status: New → In Progress
Brad Figg (brad-figg) on 2014-05-14
description: updated

As we don't have any system certified with 14.04 yet, we will skip this SRU cycle, thanks!

Brad Figg (brad-figg) on 2014-05-15
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-05-15
description: updated

Copied to -proposed, overrides adjusted, and -signed built.

Promote-to-proposed is Fix Released, but some packages for this update aren't published in Launchpad, on -proposed pocket:

linux-signed for version=3.13.0-27.49
linux-meta with ABI=27

description: updated
Brad Figg (brad-figg) on 2014-05-15
Changed in kernel-sru-workflow:
status: In Progress → Invalid
summary: - linux: 3.13.0-27.49 -proposed tracker
+ linux: 3.13.0-27.50 -proposed tracker
description: updated
Brad Figg (brad-figg) on 2014-05-15
Changed in kernel-sru-workflow:
status: Invalid → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-05-16
description: updated
Brad Figg (brad-figg) on 2014-05-16
description: updated
Brad Figg (brad-figg) on 2014-05-16
description: updated
Para Siva (psivaa) on 2014-05-19
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-05-19
description: updated
Brad Figg (brad-figg) on 2014-05-19
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-05-23
description: updated
John Johansen (jjohansen) wrote :

Also tracked in Bugs Bug #1320979, can we mark one of them as a duplicate

Launchpad Janitor (janitor) wrote :
Download full text (11.0 KiB)

This bug was fixed in the package linux - 3.13.0-27.50

---------------
linux (3.13.0-27.50) trusty; urgency=low

  [ Brad Figg ]

  * Revert "rtlwifi: Set the link state"

linux (3.13.0-27.49) trusty; urgency=low

  [ Brad Figg ]

  * Revert "SAUCE: (no-up) HID: rmi: do not stop the device at the end of
    probe"
  * Revert "SAUCE: (no-up) HID: rmi: introduce RMI driver for Synaptics
    touchpads"
  * Revert "[Config] CONFIG_HID_RMI=m"

linux (3.13.0-26.48) trusty; urgency=low

  [ Benjamin Tissoires ]

  * SAUCE: (no-up) HID: rmi: introduce RMI driver for Synaptics touchpads
    - LP: #1305522
  * SAUCE: (no-up) HID: rmi: do not stop the device at the end of probe
    - LP: #1305522

  [ Kamal Mostafa ]

  * Merged back Ubuntu-3.13.0-24.47 security release
  * Revert "n_tty: Fix n_tty_write crash when echoing in raw mode"
    - LP: #1314762
  * Release Tracking Bug
    - LP: #1316835

  [ Tim Gardner ]

  * [Config] CONFIG_HID_RMI=m
    - LP: #1305522
  * [Config] CONFIG_CRYPTO_DEV_NX=n for ppc64el
    - LP: #1314625
  * [Config] CONFIG_ZSWAP=y
    - LP: #1315203
  * Add rpcsec_gss_krb5 to generic inclusion list
    - LP: #769527

  [ Upstream Kernel Changes ]

  * HID: hidraw: make comment more accurate and nicer
    - LP: #1305522
  * HID: remove hid_get_raw_report in struct hid_device
    - LP: #1305522
  * HID: i2c-hid: implement ll_driver transport-layer callbacks
    - LP: #1305522
  * HID: add inliners for ll_driver transport-layer callbacks
    - LP: #1305522
  * HID: Add transport-driver callbacks to the hid_ll_driver struct
    - LP: #1305522
  * drm/nouveau: fail runtime pm properly.
    - LP: #1313986
  * drm/nouveau: don't suspend/resume display on runtime s/r
    - LP: #1313986
  * n_tty: Fix n_tty_write crash when echoing in raw mode
    - LP: #1314762
    - CVE-2014-0196
  * floppy: ignore kernel-only members in FDRAWCMD ioctl input
    - LP: #1316729
    - CVE-2014-1737
  * floppy: don't write kernel-only members to FDRAWCMD ioctl output
    - LP: #1316735
    - CVE-2014-1738

linux (3.13.0-25.47) trusty; urgency=low

  [ Joseph Salisbury ]

  * Release Tracking Bug
    - LP: #1313868

  [ Adam Lee ]

  * [Config] CONFIG_RTL8723BE=m, CONFIG_RTL8723_COMMON=m
    - LP: #1240940

  [ Alex Hung ]

  * SAUCE: (no-up) dell-led: add mic mute led interface
    - LP: #1308297

  [ Andy Whitcroft ]

  * SAUCE: (no-up) powerpc: Increase COMMAND_LINE_SIZE to 2048 from 512.
    - LP: #1306677

  [ Ben Collins ]

  * [Config] Disable PAMU on Freescale kernels
    - LP: #1311738

  [ Tim Gardner ]

  * Revert "SAUCE: x86, hyperv: bypass the timer_irq_works() check"
    - LP: #1311683
  * SAUCE: (no-up) ALSA: usb-audio: Suppress repetitive debug messages from
    retire_playback_urb()
    - LP: #1305133
  * SAUCE: (no-up) 'BUG:' message unnecessarily triggers kerneloops
    - LP: #1305480
  * [Config] CONFIG_POWERNV_CPUFREQ=m
    - LP: #1309576
  * [Config] CONFIG_CPU_FREQ_DEFAULT_GOV_ONDEMAND=y for ppc64el
    - LP: #1309576
  * [Config] CONFIG_TRANSPARENT_HUGEPAGE=n for arm64
    - LP: #1309221
  * [Config] CONFIG_MEMCG_KMEM=y
    - LP: #1309586
  * [Config] CONFIG_CRASH_DUMP=y for ppc64el
    - LP: #1312783

  [ Upstream Kernel Change...

Changed in linux (Ubuntu Trusty):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2014-05-26
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers